Package org.gradle.api.attributes.plugin

# Interface GradlePluginApiVersion

All Superinterfaces:
  `Named`

public interface GradlePluginApiVersion extends Named
Represents a version of the minimal version of the Gradle API required by (variant of) a Gradle plugin.

Since:
  7.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Attribute<GradlePluginApiVersion>`
  `GRADLE_PLUGIN_API_VERSION_ATTRIBUTE`
  Minimal Gradle version required.

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Field Details

  - ### GRADLE_PLUGIN_API_VERSION_ATTRIBUTE

    static final Attribute<GradlePluginApiVersion> GRADLE_PLUGIN_API_VERSION_ATTRIBUTE
    Minimal Gradle version required. See `GradleVersion` for supported values.